> ## Documentation Index
> Fetch the complete documentation index at: https://docs.conduit.financial/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a quote

> Create a new quote



## OpenAPI

````yaml https://api.conduit.financial/api-docs/2024-12-01/openapi-external.yaml?mode=dynamic post /quotes
openapi: 3.0.2
info:
  version: '2024-12-01'
  title: Conduit API
  description: The Conduit Financial API
  contact:
    name: Conduit Support
    email: conduit@conduit.fi
servers:
  - url: https://api.conduit.financial
    description: The Conduit API live environment
  - url: https://api.sandbox.conduit.financial
    description: The Conduit API Sandbox environment
security: []
tags:
  - name: Accounts
    description: |
      Endpoints dealing with accounts.
  - name: Counterparties
    description: |
      Endpoints dealing with counterparties information. 
  - name: Quotes
    description: |
      Endpoints dealing with quotes.
  - name: Transactions
    description: |
      Endpoints dealing with transactions.
  - name: Documents
    description: |
      Endpoints dealing with documents.
  - name: Customers
    description: |
      Endpoints dealing with customer information. 
paths:
  /quotes:
    post:
      tags:
        - Quotes
      summary: Create a quote
      description: Create a new quote
      operationId: createQuote
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateQuoteRequest'
      responses:
        '201':
          description: The created object
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateQuoteResponse'
        '400':
          description: Input validation error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestErrorResponse'
        '401':
          description: Authentication error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestErrorResponse'
        '403':
          description: Authorization error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ForbiddenErrorResponse'
        '415':
          description: Unsupported media type error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnsupportedMediaTypeErrorResponse'
        '429':
          description: Throttling error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TooManyRequestsErrorResponse'
        '500':
          description: Internal Server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InternalServerErrorResponse'
      security:
        - apiKey: []
          apiSecret: []
components:
  schemas:
    CreateQuoteRequest:
      anyOf:
        - $ref: '#/components/schemas/SourceBasedCreateQuoteRequest'
        - $ref: '#/components/schemas/TargetBasedCreateQuoteRequest'
    CreateQuoteResponse:
      type: object
      properties:
        id:
          $ref: '#/components/schemas/QuoteId'
        source:
          $ref: '#/components/schemas/AssetAmount'
        target:
          $ref: '#/components/schemas/AssetAmount'
        createdAt:
          type: string
          format: date-time
        expiresAt:
          type: string
          format: date-time
        pricing:
          type: object
          properties:
            client:
              type: object
              properties:
                pricingModel:
                  type: string
                spreadBps:
                  type: number
                effectiveRate:
                  type: number
                calculatedAmount:
                  type: object
                  properties:
                    asset:
                      type: string
                    amount:
                      type: string
                    networkId:
                      type: string
                  required:
                    - asset
                    - amount
                    - networkId
              required:
                - pricingModel
                - calculatedAmount
          required:
            - client
      required:
        - id
        - source
        - target
        - createdAt
        - expiresAt
        - pricing
      example:
        id: quote_2fvietuCNSu8unMNLsEGBrDTVFn
        source:
          amount: '1400.00'
          asset: USD
        target:
          amount: '1400.120000'
          asset: USDT
          network: tron
        createdAt: '2024-10-27T00:00:00.000Z'
        expiresAt: '2024-10-27T00:03:00.000Z'
        pricing:
          client:
            pricingModel: conduitFee
            spreadBps: 0
            effectiveRate: 0
            calculatedAmount:
              asset: USD
              amount: '0'
              networkId: fiat
    BadRequestErrorResponse:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              detail:
                type: string
              code:
                type: string
            required:
              - detail
              - code
      required:
        - errors
    ForbiddenErrorResponse:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              detail:
                type: string
              code:
                type: string
            required:
              - detail
              - code
      required:
        - errors
    UnsupportedMediaTypeErrorResponse:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              detail:
                type: string
              code:
                type: string
            required:
              - detail
              - code
      required:
        - errors
    TooManyRequestsErrorResponse:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              detail:
                type: string
              code:
                type: string
            required:
              - detail
              - code
      required:
        - errors
    InternalServerErrorResponse:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              detail:
                type: string
              code:
                type: string
            required:
              - detail
              - code
      required:
        - errors
    SourceBasedCreateQuoteRequest:
      type: object
      properties:
        source:
          $ref: '#/components/schemas/PositiveAssetAmount'
        target:
          $ref: '#/components/schemas/AssetType'
        rail:
          type: string
          enum:
            - swift
            - ach
            - fedwire
            - pse
            - ach_colombia
            - pix
            - blockchain
            - spei
            - sepa
            - ted
            - rtgs
            - nip
            - ars_bank_transfer
            - fps
            - chaps
            - fast
            - international_wire
            - bank_transfer
          description: The payment rail which is supposed to be used for the transaction
      required:
        - source
        - target
      additionalProperties: false
      title: Source-Based Quote Request
      example:
        source:
          amount: '1400.00'
          asset: USD
        target:
          asset: USDT
          network: tron
    TargetBasedCreateQuoteRequest:
      type: object
      properties:
        source:
          $ref: '#/components/schemas/AssetType'
        target:
          $ref: '#/components/schemas/PositiveAssetAmount'
        rail:
          type: string
          enum:
            - swift
            - ach
            - fedwire
            - pse
            - ach_colombia
            - pix
            - blockchain
            - spei
            - sepa
            - ted
            - rtgs
            - nip
            - ars_bank_transfer
            - fps
            - chaps
            - fast
            - international_wire
            - bank_transfer
          description: The payment rail which is supposed to be used for the transaction
      required:
        - source
        - target
      additionalProperties: false
      title: Target-Based Quote Request
      example:
        source:
          asset: USDT
          network: tron
        target:
          amount: '1400.00'
          asset: USD
    QuoteId:
      type: string
      pattern: ^quote_[a-zA-Z0-9]{27}$
      description: A valid Quote ID
      example: quote_2ofTABULiy4F9kO7JrrZJWpcO65
    AssetAmount:
      type: object
      properties:
        asset:
          $ref: '#/components/schemas/AssetCode'
        network:
          $ref: '#/components/schemas/NetworkName'
        amount:
          $ref: '#/components/schemas/NonNegativeInteger'
        country:
          type: string
      required:
        - asset
        - amount
      additionalProperties: false
    PositiveAssetAmount:
      type: object
      properties:
        asset:
          $ref: '#/components/schemas/AssetCode'
        network:
          $ref: '#/components/schemas/NetworkName'
        amount:
          $ref: '#/components/schemas/PositiveDecimal'
        country:
          type: string
          description: ISO 3166-1 alpha-3 country code
          example: USA
      required:
        - asset
        - amount
      additionalProperties: false
    AssetType:
      type: object
      properties:
        asset:
          $ref: '#/components/schemas/AssetCode'
        network:
          $ref: '#/components/schemas/NetworkName'
        country:
          type: string
          description: ISO 3166-1 alpha-3 country code
          example: USA
      required:
        - asset
      additionalProperties: false
    AssetCode:
      type: string
      enum:
        - USD
        - MXN
        - BRL
        - COP
        - EUR
        - NGN
        - ARS
        - GBP
        - AED
        - SGD
        - HKD
        - USDT
        - USDC
        - RLUSD
      description: >-
        The asset identifier. Either an ISO-4217 currency code or a stablecoin
        token.
    NetworkName:
      type: string
      enum:
        - ethereum
        - tron
        - solana
        - polygon
        - base
        - xrpl
      description: >-
        The stablecoin asset network identifier. Required for stablecoins;
        omitted for fiat.
    NonNegativeInteger:
      type: string
      pattern: ^[0-9]*$
      description: A non-negative integer amount
      example: '0'
    PositiveDecimal:
      type: string
      pattern: ^(0\.[0-9]*[1-9][0-9]*|[1-9][0-9]*(\.[0-9]+)?)$
      description: A positive decimal amount
      example: '10.50'
  securitySchemes:
    apiKey:
      type: apiKey
      description: Includes an API key in the HTTP headers to authenticate the client.
      name: X-API-Key
      in: header
    apiSecret:
      type: apiKey
      description: Includes an API secret in the HTTP headers to authenticate the client.
      name: X-API-Secret
      in: header

````